CDN

Get Top File Extensions

get/cdn/zones/{zone_uuid}/metrics/file-extensions

Get top file extensions by request count and bandwidth for a CDN zone.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

zone_uuid*string

Query parameters

minutes?integer
Default60
limit?integer
Default20
country?string | null
asn?string | null
status_range?string | null
status?string | null
cache_status?string | null
device_type?string | null
path_prefix?string | null

Responses

Successful Response

application/json

data*array<CDNFileExtensionItem>
Properties (3)
extension*string | null
requests*integer | number | null
One of
integer
number
bandwidth*integer | number | null
One of
integer
number